Merge "Bump odlparent-master maven version"
authorThanh Ha <thanh.ha@linuxfoundation.org>
Wed, 24 Jan 2018 18:48:22 +0000 (18:48 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Wed, 24 Jan 2018 18:48:22 +0000 (18:48 +0000)
56 files changed:
check_prefix.sh [new file with mode: 0755]
jjb/aaa/aaa-csit-authn.yaml
jjb/aaa/aaa-csit-keystone.yaml
jjb/autorelease/autorelease-macros.yaml
jjb/autorelease/autorelease-templates.yaml
jjb/autorelease/update-validate-autorelease-projects.sh
jjb/bgpcep/bgpcep-csit-userfeatures.yaml
jjb/bier/bier-csit-basic.yaml
jjb/bier/bier.yaml
jjb/capwap/capwap-csit-ac.yaml
jjb/centinel/centinel-csit-basic.yaml
jjb/didm/didm-csit-discovery.yaml
jjb/dluxapps/dluxapps-csit-yangman.yaml
jjb/genius/genius-csit-genius.yaml
jjb/integration/integration-deploy-openstack-run-test.sh
jjb/integration/integration-templates.yaml
jjb/iotdm/iotdm-csit-basic.yaml
jjb/l2switch/l2switch-csit-switch.yaml
jjb/lacp/lacp-csit-lacp.yaml
jjb/lispflowmapping/lispflowmapping-csit-msmr.yaml
jjb/messaging4transport/messaging4transport-csit-basic.yaml
jjb/natapp/natapp-csit-basic.yaml
jjb/nemo/nemo-csit-engine.yaml
jjb/netconf/netconf-userfeatures.yaml
jjb/netide/netide-csit-basic.yaml
jjb/nic/nic-csit-basic.yaml
jjb/ocpplugin/ocpplugin-csit-basic.yaml
jjb/ocpplugin/ocpplugin-csit-scalability.yaml
jjb/odl-openstack-check-image-protection.sh [moved from jjb/opendaylight-infra-check-image-protection.sh with 91% similarity]
jjb/odl-openstack-cleanup-old-images.sh [moved from jjb/opendaylight-infra-cleanup-old-images.sh with 59% similarity]
jjb/odl-openstack-cleanup-orphaned-nodes.sh [moved from jjb/opendaylight-infra-cleanup-orphaned-nodes.sh with 91% similarity]
jjb/odl-openstack-cleanup-stale-nodes.sh [moved from jjb/opendaylight-infra-cleanup-stale-nodes.sh with 72% similarity]
jjb/odl-openstack-cleanup-stale-stacks.sh [moved from jjb/opendaylight-infra-cleanup-stale-stacks.sh with 96% similarity]
jjb/odl-openstack-install.sh [new file with mode: 0644]
jjb/of-config/of-config-csit-basic.yaml
jjb/openflowplugin/openflowplugin-csit-sanity.yaml
jjb/ovsdb/ovsdb-csit-southbound.yaml
jjb/packaging/test-rpm-deps.sh
jjb/packetcable/packetcable-csit-pcmm.yaml
jjb/releng-defaults.yaml
jjb/releng-jobs.yaml
jjb/releng-macros.yaml
jjb/sdninterfaceapp/sdninterfaceapp-csit-basic.yaml
jjb/topoprocessing/topoprocessing-csit-topology-operation.yaml
jjb/tsdr/tsdr-csit-cassandra.yaml
jjb/tsdr/tsdr-csit-elasticsearch.yaml
jjb/tsdr/tsdr-csit-hbase.yaml
jjb/tsdr/tsdr-csit-hsqldb.yaml
jjb/unimgr/unimgr-csit-basic.yaml
jjb/unimgr/unimgr-csit-legato.yaml
jjb/usc/usc-csit-channel.yaml
jjb/usc/usc-csit-tcp.yaml
jjb/usecplugin/usecplugin-csit-basic.yaml
jjb/vtn/vtn-csit-coordinator.yaml
jjb/vtn/vtn-csit-manager.yaml
tox.ini

diff --git a/check_prefix.sh b/check_prefix.sh
new file mode 100755 (executable)
index 0000000..87a8427
--- /dev/null
@@ -0,0 +1,19 @@
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+# Ensures that the prefix MUST be set to blank
+#
+# The production prefix MUST always be a blank string.
+
+if grep 'prefix:' jjb/releng-defaults.yaml | grep -v "''"; then
+    echo "ERROR: A non-blank prefix is defined in jjb/releng-defaults.yaml"
+    echo "The prefix MUST be set to blank '' in production!"
+    exit 1
+fi
index 8b5bec7c4750b5b20524b6e521f80de0a86ce689..b76745f61af7e4be22fd262e88782f07b71905a2 100644 (file)
@@ -3,7 +3,7 @@
     name: aaa-csit-authn
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'aaa'
index 9d699a59d09ffae021ebe6980c04419b11f75912..1e89f7efcbd2fb7d0784f816f25ef3b0e61dbde3 100644 (file)
@@ -3,7 +3,7 @@
     name: aaa-csit-keystone
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'aaa'
index 172dc106563606613f2284474a36eddc13c6c839..e8d9cae84d79ca9df2a1cade8b7b30806c1e12fa 100644 (file)
       - shell: !include-raw:
           - generate-release-notes.sh
 
+- builder:
+    name: autorelease-update-validate-projects
+    builders:
+      - shell: !include-raw-escape: update-validate-autorelease-projects.sh
+
 - publisher:
     # Search console log for failures and email status to the release mailing list.
     name: opendaylight-infra-notify-status
index 3dfe884835470c2a48da3a18dcbc9745cbbf665f..710ee05f64d5f06e16b4a788da9e9654900af343 100644 (file)
           jenkins-ssh-credential: opendaylight-jenkins-ssh
 
     builders:
-      - shell: !include-raw-escape:
-          - update-validate-autorelease-projects.sh
+      - autorelease-update-validate-projects
       - opendaylight-infra-push-gerrit-patch:
           project: 'releng/builder'
           gerrit-topic: 'autorelease-update-validate-jobs-{stream}'
index 7fea2910e7cfda0aabb796482601531c6cfd2d95..327fb1abfd45925cb390f4c7a85b7c7a2d066c20 100644 (file)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
+# Copyright (c) 2017 - 2018 The Linux Foundation and others.
 #
 # All rights reserved. This program and the accompanying materials
 # are made available under the terms of the Eclipse Public License v1.0
@@ -14,9 +14,10 @@ BRANCH="stable/${STREAM}"
 
 # The current development release will not have a stable branch defined so if
 # branch does not exist assume master
-wget -nv -O /tmp/ar-branches.json https://git.opendaylight.org/gerrit/projects/releng%2Fautorelease/branches/
-if ! grep "$BRANCH" /tmp/ar-branches.json; then
-    BRANCH=master
+url="https://git.opendaylight.org/gerrit/projects/releng%2Fautorelease/branches/"
+resp=$(curl -s -w "\\n\\n%{http_code}" --globoff -H "Content-Type:application/json" "$url")
+if [[ ! "$resp" =~ $BRANCH ]]; then
+    BRANCH="master"
 fi
 
 wget -nv -O /tmp/pom.xml "https://git.opendaylight.org/gerrit/gitweb?p=releng/autorelease.git;a=blob_plain;f=pom.xml;hb=$GERRIT_BRANCH"
index 8c667baa3f2c7a7c742431e57fcd0a6068392c94..2263196d428f4c80b449ebf63468450d62cfcd30 100644 (file)
@@ -3,7 +3,7 @@
     name: bgpcep-csit-userfeatures
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'bgpcep'
index b59c343d9bcb73046523e288b7ee0143650e3085..f4b88271cc25ad09ce1143a7eb95a0f8718dc635 100644 (file)
@@ -3,7 +3,7 @@
     name: bier-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'bier'
index 4cbf059274e28b3495d170af1bd669e6be8ba839..98796735d83cc1811c401239df8219a19f4cd89c 100644 (file)
@@ -10,6 +10,7 @@
     project: 'bier'
     project-name: 'bier'
     branch: 'master'
+    build-timeout: 90
     jdks:
       - openjdk8
     maven:
index 8d1038ce8b633107c74a02d05b37d808da73d7d9..f2a5fa11b481f66762126d1fa1fe6b2338b49c27 100644 (file)
@@ -3,7 +3,7 @@
     name: capwap-csit-ac
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'capwap'
index 6d783e50808593f7c84292a121538e54123afd22..f4873fb05380c80d6b65bc44944679880e0b5f0c 100644 (file)
@@ -3,7 +3,7 @@
     name: centinel-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'centinel'
index 4f9e5c3cbd34eb7c935745a62e774ba10ad62267..ca5f62fa5bfaf053ddd084b63e8e07ba2cc8a7ff 100644 (file)
@@ -3,7 +3,7 @@
     name: didm-csit-discovery
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'didm'
index cbd02da9b522048114f1f4e804f367ec7c707ca0..bbcfccdf8047342b9568e38f129f214fb21d5f17 100644 (file)
@@ -3,7 +3,7 @@
     name: dluxapps-csit-yangman
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'dluxapps'
index 123c1dacb8af8f531501a4f814d0826e8f93c963..30d368368018227972a002cae5528059fd0b87ca 100644 (file)
@@ -4,7 +4,7 @@
     jobs:
       - '{project}-csit-3node-{functionality}-{install}-{stream}'
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
       - '{project}-csit-verify-3node-{functionality}'
 
 
index 17c41fc665c0bb6ee32fb040ad9f817ca07fd4e9..4076e47de796da36c7005e63b83ef7cf694a70b9 100644 (file)
@@ -191,7 +191,7 @@ NEUTRON_CREATE_INITIAL_NETWORKS=${CREATE_INITIAL_NETWORKS}
 
 ODL_MODE=manual
 ODL_MGR_IP=${MGRIP}
-ODL_PORT=8080
+ODL_PORT=${ODL_PORT}
 ODL_PORT_BINDING_CONTROLLER=${ODL_ML2_PORT_BINDING}
 ODL_OVS_MANAGERS=${ODL_OVS_MANAGERS}
 
@@ -285,10 +285,6 @@ minimize_polling=True
 physical_network_mtus = ${PUBLIC_PHYSICAL_NETWORK}:1400
 path_mtu = 1458
 
-# workaround for port-status not working due to https://bugs.opendaylight.org/show_bug.cgi?id=9092
-[ml2_odl]
-odl_features=nothing
-
 [[post-config|/etc/neutron/dhcp_agent.ini]]
 [DEFAULT]
 force_metadata = True
@@ -335,7 +331,7 @@ Q_ML2_TENANT_NETWORK_TYPE=${TENANT_NETWORK_TYPE}
 
 ODL_MODE=manual
 ODL_MGR_IP=${MGRIP}
-ODL_PORT=8080
+ODL_PORT=${ODL_PORT}
 ODL_PORT_BINDING_CONTROLLER=${ODL_ML2_PORT_BINDING}
 ODL_OVS_MANAGERS=${ODL_OVS_MANAGERS}
 
@@ -787,6 +783,7 @@ else
 fi
 
 RECLONE=False
+ODL_PORT=8181
 
 # Always compare the lists below against the devstack upstream ENABLED_SERVICES in
 # https://github.com/openstack-dev/devstack/blob/master/stackrc#L52
index a17507327ca66bbdbf6e62d83516bc031805bef8..f96a41b93c1a9bf6e66840b912e271265bd009bd 100644 (file)
@@ -32,7 +32,8 @@
 # New templates
 
 - job-template:
-    name: '{project}-csit-verify-1node-{functionality}'
+    name: '{prefix}{project}-csit-verify-1node-{functionality}'
+    id: inttest-csit-verify-1node
     disabled: false
 
     project-type: freestyle
index 2903451c301c374b786d8965dc9be10c7d227d38..fff52056b910cd2ca2780350a6517ea8aaa564e0 100644 (file)
@@ -3,7 +3,7 @@
     name: iotdm-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'iotdm'
index a5366538c8cb5bb861241cb311abee65a1471de2..6472498259d9724ea00ecd3932d275dab82bc452 100644 (file)
@@ -3,7 +3,7 @@
     name: l2switch-csit-switch
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'l2switch'
index d9f199a92d6f62405f695267ab9848b6d2fad97d..399f3bfb52c3f93b2231c4e0c7c9664e0c7467a8 100644 (file)
@@ -3,7 +3,7 @@
     name: lacp-csit-lacp
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'lacp'
index d0ffdf7b97118d9bb271d1f493ec305097f328ce..ddf6bad635f61786871f43759173a889241dd905 100644 (file)
@@ -4,7 +4,7 @@
     jobs:
       - '{project}-csit-3node-{functionality}-{install}-{stream}'
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'lispflowmapping'
index 45eadc26dfc7a6f72059a7068cb5893af66c1984..c10c37054fd891ce295595a3d52f88f0435cbf64 100644 (file)
@@ -3,7 +3,7 @@
     name: messaging4transport-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'messaging4transport'
index c497cb8e7f0850e5ef71e8349c2602863e15d380..9acd8ba8413202023ec3153b125d3811ba7a00e2 100644 (file)
@@ -3,7 +3,7 @@
     name: natapp-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'natapp'
index 5fd1f995020f47f0f2685ddbd3bb8c4491be9ffd..397c0fc5d806f17f1e5b00b1916035494bd6f7a9 100644 (file)
@@ -3,7 +3,7 @@
     name: nemo-csit-engine
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'nemo'
index ca5a56149c8928109752f50f604ec7d66bedf17b..99cf9394f68db7aabff873896dd3bbfb790ad34c 100644 (file)
@@ -3,7 +3,7 @@
     name: netconf-csit-userfeatures
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'netconf'
index 6b228d3d6692954ece5d0c54b635ca40382b24ba..53629f8d2076900e7b8101d0087de225c4e720fa 100644 (file)
@@ -2,7 +2,7 @@
 - project:
     name: netide-csit-basic
     jobs:
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
 
     # The project name
index e82909d6bbf559c56357549eed3cc9027f23de7a..61d28ced6df5872027e1e3fc44d2a42472ff1328 100644 (file)
@@ -3,7 +3,7 @@
     name: nic-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'nic'
index 50d924e573037a6dbef520494ef029208bcc4db1..afcdd3d273912779726b3469970ade98fddb5eb0 100644 (file)
@@ -3,7 +3,7 @@
     name: ocpplugin-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'ocpplugin'
index 125e70e72ca5dcea42d789a3af745105ab9b0525..427899f210fa170370a67cef67967004a5775ec5 100644 (file)
@@ -3,7 +3,7 @@
     name: ocpplugin-csit-scalability
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'ocpplugin'
similarity index 91%
rename from jjb/opendaylight-infra-check-image-protection.sh
rename to jjb/odl-openstack-check-image-protection.sh
index df660c96a9996cfb612d27d30c5e3e0dd8e8cb82..980e70e15f798f28feaea8c65f41d8845897dfe7 100644 (file)
@@ -8,7 +8,6 @@
 # which accompanies this distribution, and is available at
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
-
 # Checks the image "protected" value and set "True" marker
 #
 # The script is involked by 'builder-verify-image-protection', searches
 # setting. If the image protect setting is not "True", sets the
 # image protect setting to "True" to prevent the image from getting purged
 # by the cleanup old images job.
+echo "---> Check image protection"
 
-virtualenv "/tmp/v/openstack"
 # shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
 source "/tmp/v/openstack/bin/activate"
-pip install --upgrade pip
-pip install --upgrade python-openstackclient
-pip install --upgrade pipdeptree
-pipdeptree
 
 declare -a images
 readarray -t images <<< "$(grep -r _system_image: --include \*.yaml \
similarity index 59%
rename from jjb/opendaylight-infra-cleanup-old-images.sh
rename to jjb/odl-openstack-cleanup-old-images.sh
index 6483788bc2b9a8df507a3ec27a576b71a0470684..db639d1a4dca5e3b7e13b209dd7a1bd4895c592f 100644 (file)
@@ -1,13 +1,16 @@
 #!/bin/bash
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
+# Copyright (c) 2017 - 2018 The Linux Foundation and others.
 #
 # All rights reserved. This program and the accompanying materials
 # are made available under the terms of the Eclipse Public License v1.0
 # which accompanies this distribution, and is available at
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
+# Removes openstack images older than 30 days in the cloud
+echo "---> Cleanup old images"
 
-lftools openstack --os-cloud vex \
-    image cleanup --days=30
+# shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
+source "/tmp/v/lftools/bin/activate"
+lftools openstack --os-cloud vex image cleanup --days=30
similarity index 91%
rename from jjb/opendaylight-infra-cleanup-orphaned-nodes.sh
rename to jjb/odl-openstack-cleanup-orphaned-nodes.sh
index 1a832fe092782c4f3dd0d7f32c8cc0ba57e96d29..953dadc81cded07e11715ce8beb1f77d54e9fa56 100644 (file)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
+# Copyright (c) 2017 - 2018 The Linux Foundation and others.
 #
 # All rights reserved. This program and the accompanying materials
 # are made available under the terms of the Eclipse Public License v1.0
 ##############################################################################
 echo "---> Cleanup orphaned servers"
 
-virtualenv "/tmp/v/openstack"
 # shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
 source "/tmp/v/openstack/bin/activate"
-pip install --upgrade pip
-pip install --upgrade python-openstackclient python-heatclient
-pip install --upgrade pipdeptree
-pipdeptree
 
 minion_in_jenkins() {
     # Usage: check_stack_in_jenkins STACK_NAME JENKINS_URL [JENKINS_URL...]
similarity index 72%
rename from jjb/opendaylight-infra-cleanup-stale-nodes.sh
rename to jjb/odl-openstack-cleanup-stale-nodes.sh
index 2ec19ee8e3736aea19636874b675fcba91203e65..ddd104180613badd389c4da532de706874a6da05 100644 (file)
@@ -1,13 +1,14 @@
 #!/bin/bash
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
+# Copyright (c) 2017 - 2018 The Linux Foundation and others.
 #
 # All rights reserved. This program and the accompanying materials
 # are made available under the terms of the Eclipse Public License v1.0
 # which accompanies this distribution, and is available at
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
+echo "---> Cleanup stale nodes"
 
 # Todo: As a safe check we could obtain the list of active jobs from Jenkins and
 # compute the checksum from $JOB_NAME to check if any active nodes exist and
@@ -15,7 +16,7 @@
 # 24H timeout in place for all jobs therefore all jobs are expected to complete
 # within the timeout.
 
-lftools openstack --os-cloud vex \
-    server list --days=1
-lftools openstack --os-cloud vex \
-    server cleanup --days=1
+# shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
+source "/tmp/v/lftools/bin/activate"
+lftools openstack --os-cloud vex server list --days=1
+lftools openstack --os-cloud vex server cleanup --days=1
similarity index 96%
rename from jjb/opendaylight-infra-cleanup-stale-stacks.sh
rename to jjb/odl-openstack-cleanup-stale-stacks.sh
index 6f00ac81b3ad063da702322a82a86cc67b1db59c..16559c9feb8c5a3079a0415a579808b071899f1a 100644 (file)
 # Cleanup stale stacks in the cloud
 # Requires the variable JENKINS_URLS declared in the job as a space separated
 # list of Jenkins instances to check for active builds.
+echo "---> Cleanup stale stacks"
 
-virtualenv "/tmp/v/openstack"
 # shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
 source "/tmp/v/openstack/bin/activate"
-pip install --upgrade pip
-pip install --upgrade python-openstackclient python-heatclient
-pip install --upgrade pipdeptree
-pipdeptree
 
 stack_in_jenkins() {
     # Usage: check_stack_in_jenkins STACK_NAME JENKINS_URL [JENKINS_URL...]
diff --git a/jjb/odl-openstack-install.sh b/jjb/odl-openstack-install.sh
new file mode 100644 (file)
index 0000000..adf7d92
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017, 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+# Installs the openstack cli to /tmp/v/openstack
+echo "---> Install openstack cli into /tmp/v/openstack"
+
+virtualenv "/tmp/v/openstack"
+# shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
+source "/tmp/v/openstack/bin/activate"
+pip install --upgrade pip
+pip install --upgrade python-openstackclient python-heatclient
+pip install --upgrade pipdeptree
+pipdeptree
index c8ba5c7a26e7cc1b525abc195c4c15027cc8c2a8..f126e27b6c6def3b1573f89e1a5fd0fa80909ee2 100644 (file)
@@ -2,7 +2,7 @@
 - project:
     name: of-config-csit-basic
     jobs:
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
 
     # The project name
index d9f0d34a64109efc582695a5e67a095b1fc23184..6cd924d0f32fac1bd8d162f49f8a1271a424bbc4 100644 (file)
@@ -3,7 +3,7 @@
     name: openflowplugin-csit-sanity
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'openflowplugin'
index ed3744c930e2468003492137ae0602162fb4639a..1bf4715cfca011b13e04ca98bc472288a02b4035 100644 (file)
@@ -3,7 +3,7 @@
     name: ovsdb-csit-southbound
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
     # The project name
     project: 'ovsdb'
 
index 6def490d0721d740f4215ee6ab3ca72979f3b0b5..460bdaeed14f7d78e72aeacfa5871cf0816057d2 100644 (file)
@@ -8,8 +8,12 @@ set -ex -o pipefail
 
 # Verify exactly 1 RPM is in the path we expect
 set -- /home/$USER/rpmbuild/RPMS/noarch/*.rpm
-# shellcheck disable=SC1054
-[ $# -eq 1 ] || {{ echo "Expected 1 RPM, found $#"; exit 1; }}
+if [ $# -eq 1 ]; then
+    echo "Found one RPM in build out dir, as expected"
+else
+    echo "Expected 1 RPM, found $#"
+    echo 1
+fi
 
 # If path is globbed (/path/to/*.rpm), expand it
 path=$(sudo find / -wholename /home/$USER/rpmbuild/RPMS/noarch/*.rpm)
index 671609f2d6b1dbb694c1e6979bfa976082a1e1a1..bddf9420bfc137fd11cf8d720be8eee0a070f80e 100644 (file)
@@ -3,7 +3,7 @@
     name: packetcable-csit-pcmm
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'packetcable'
index 48e947e807b096f90092d63a1fafd6f595445955..080ace60f9fdf9a4612295190a69c757673838c5 100644 (file)
@@ -3,6 +3,7 @@
 
 - defaults:
     name: global
+    prefix: ''  # A prefix for job names sandbox for example: user-
 
     karaf-version: karaf4
     build-days-to-keep: 30
index f54557e262e5554515b2f0b9d0badff7f50ec633..73c5ab5c33c20def31be10407108a00129447e99 100644 (file)
@@ -4,15 +4,11 @@
     jobs:
       - '{project-name}-ci-jobs':
           build-node: centos7-builder-2c-2g
+          build-timeout: 60
       - builder-check-poms
       - builder-copy-sandbox-logs
+      - builder-openstack-cron
       - gerrit-tox-verify
-      # OpenStack Related
-      - 'builder-verify-image-protection'
-      - 'builder-cleanup-old-images'
-      - 'builder-delete-orphaned-nodes'
-      - 'builder-delete-stale-nodes'
-      - 'builder-delete-stale-stacks'
       # Automation for docs and jobs
       - 'builder-update-image-list'
 
@@ -26,6 +22,9 @@
     archive-artifacts: '**/*.log'
     build-timeout: 30
     jjb-version: 2.0.0
+    jenkins-urls: >
+      https://jenkins.opendaylight.org/releng
+      https://jenkins.opendaylight.org/sandbox
 
 - project:
     name: packer-jobs
 
 
 - job-template:
-    name: 'builder-verify-image-protection'
+    name: builder-openstack-cron
     project-type: freestyle
-    node: centos7-builder-2c-1g
+    node: '{build-node}'
 
     properties:
-      - opendaylight-infra-properties:
+      - lf-infra-properties:
           build-days-to-keep: 7
 
     parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
+      - lf-infra-parameters:
           project: '{project}'
+          stream: '{stream}'
           branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
-
-    scm:
-      - git-scm:
-          branch: '{branch}'
-
-    wrappers:
-      - opendaylight-infra-wrappers:
-          build-timeout: '{build-timeout}'
-      # Listed after to override openstack-infra-wrappers clouds.yaml definition
-      - config-file-provider:
-          files:
-            - file-id: clouds-yaml
-              target: '$HOME/.config/openstack/clouds.yaml'
-
-    triggers:
-      - timed: '@daily'
-
-    builders:
-      - shell: !include-raw-escape:
-          - opendaylight-infra-check-image-protection.sh
-
-    publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[releng]'
-      - lf-infra-publish
-
-
-- job-template:
-    name: 'builder-cleanup-old-images'
-    project-type: freestyle
-    node: centos7-builder-2c-1g
-
-    properties:
-      - opendaylight-infra-properties:
-          build-days-to-keep: 7
-
-    parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
-          project: '{project}'
-          branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
+          lftools-version: '{lftools-version}'
+      - string:
+          name: OS_CLOUD
+          default: '{os-cloud}'
+          description: Artifacts to archive to the logs server.
+      - string:
+          name: ARCHIVE_ARTIFACTS
+          default: '{archive-artifacts}'
+          description: Artifacts to archive to the logs server.
+      - string:
+          name: JENKINS_URLS
+          default: '{jenkins-urls}'
+          description: 'Space separated list of Jenkins URLs to check for active builds'
 
     scm:
       - git-scm:
           branch: '{branch}'
 
     wrappers:
-      - opendaylight-infra-wrappers:
+      - lf-infra-wrappers:
           build-timeout: '{build-timeout}'
+          jenkins-ssh-credential: '{jenkins-ssh-credential}'
       # Listed after to override openstack-infra-wrappers clouds.yaml definition
       - config-file-provider:
           files:
               target: '$HOME/.config/openstack/clouds.yaml'
 
     triggers:
-      # Cleanup images on a weekly schedule
-      - timed: '@weekly'
-
-    builders:
-      - shell: !include-raw-escape:
-          - global-jjb/shell/lftools-install.sh
-          - opendaylight-infra-cleanup-old-images.sh
-
-    publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[releng]'
-      - lf-infra-publish
-
-
-- job-template:
-    name: builder-delete-orphaned-nodes
-    project-type: freestyle
-    node: centos7-builder-2c-1g
-
-    properties:
-      - opendaylight-infra-properties:
-          build-days-to-keep: 7
-
-    parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
-          project: '{project}'
-          branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
-      - string:
-          name: JENKINS_URLS
-          default: 'https://jenkins.opendaylight.org/releng https://jenkins.opendaylight.org/sandbox'
-          description: 'Space separated list of Jenkins URLs to check for active builds'
-
-    wrappers:
-      - opendaylight-infra-wrappers:
-          build-timeout: '{build-timeout}'
-
-    triggers:
-      # Attempt to clear up servers every 30 mins in case we have orphaned servers
       - timed: '0,30 * * * *'
 
     builders:
-      - shell: !include-raw-escape: opendaylight-infra-cleanup-orphaned-nodes.sh
+      - odl-openstack-install
+      - shell: !include-raw-escape: global-jjb/shell/lftools-install.sh
+      # Servers
+      - odl-openstack-cleanup-stale-stacks
+      - odl-openstack-cleanup-stale-nodes
+      - odl-openstack-cleanup-orphaned-nodes
+      # Images
+      - odl-openstack-check-image-protection
+      - odl-openstack-cleanup-old-images
 
     publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[releng]'
       - lf-infra-publish
 
-
-- job-template:
-    name: 'builder-delete-stale-nodes'
-    project-type: freestyle
-    node: centos7-builder-2c-1g
-
-    properties:
-      - opendaylight-infra-properties:
-          build-days-to-keep: 7
-
-    parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
-          project: '{project}'
-          branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
-
-    wrappers:
-      - opendaylight-infra-wrappers:
-          build-timeout: '{build-timeout}'
-
-    triggers:
-      # Attempt to clear up stacks every 30 mins in case we have orphaned stacks
-      - timed: '0,30 * * * *'
-
-    builders:
-      - shell: !include-raw-escape:
-          - global-jjb/shell/lftools-install.sh
-          - opendaylight-infra-cleanup-stale-nodes.sh
-
-    publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[releng]'
-      - lf-infra-publish
-
-
-- job-template:
-    name: 'builder-delete-stale-stacks'
-    project-type: freestyle
-    node: centos7-builder-2c-1g
-
-    properties:
-      - opendaylight-infra-properties:
-          build-days-to-keep: 7
-
-    parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
-          project: '{project}'
-          branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
-      - string:
-          name: JENKINS_URLS
-          default: 'https://jenkins.opendaylight.org/releng https://jenkins.opendaylight.org/sandbox'
-          description: 'Space separated list of Jenkins URLs to check for active builds'
-
-    wrappers:
-      - opendaylight-infra-wrappers:
-          build-timeout: '{build-timeout}'
-
-    triggers:
-      # Attempt to clear up stacks every 30 mins in case we have orphaned stacks
-      - timed: '0,30 * * * *'
-
-    builders:
-      - shell: !include-raw-escape: opendaylight-infra-cleanup-stale-stacks.sh
-
-    publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[releng]'
-      - lf-infra-publish
-
-
 - job-template:
     name: 'builder-update-image-list'
     project-type: freestyle
index 1a69611b45a805154832ed23c8440ddf53a3677d..016c65afb5a0ce9934e3f9cdbe42ec197ae80f35 100644 (file)
           send-to:
             - recipients
 
+
+- builder:
+    # Installs the openstack cli into a virtualenv at /tmp/v/openstack
+    name: odl-openstack-install
+    builders:
+      - shell: !include-raw: odl-openstack-install.sh
+
+- builder:
+    name: odl-openstack-check-image-protection
+    builders:
+      - shell: !include-raw: odl-openstack-check-image-protection.sh
+
+- builder:
+    name: odl-openstack-cleanup-old-images
+    builders:
+      - shell: !include-raw: odl-openstack-cleanup-old-images.sh
+
+- builder:
+    name: odl-openstack-cleanup-orphaned-nodes
+    builders:
+      - shell: !include-raw: odl-openstack-cleanup-orphaned-nodes.sh
+
+- builder:
+    name: odl-openstack-cleanup-stale-nodes
+    builders:
+      - shell: !include-raw: odl-openstack-cleanup-stale-nodes.sh
+
+- builder:
+    name: odl-openstack-cleanup-stale-stacks
+    builders:
+      - shell: !include-raw: odl-openstack-cleanup-stale-stacks.sh
+
 - builder:
     # Deploys a maven site to Nexus using lftools nexus-zip command
     name: opendaylight-infra-deploy-maven-site
index 93cdee812a503403776415e530d60f4b9704b783..dfb2393afa73eebe2166ac5bda7d9a79258a02db 100644 (file)
@@ -3,7 +3,7 @@
     name: sdninterfaceapp-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'sdninterfaceapp'
index d80673510af9ffdb7b4678299e7e57cc09dda353..dc0d9b36afc7b4c00fc1cb51b62694835c1b86b0 100644 (file)
@@ -3,7 +3,7 @@
     name: topoprocessing-csit-topology-operations
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'topoprocessing'
index 75e222127667fc109ace53e26315b9d3f9b009d0..03b7f82671504324a3a98b24cd5f82f9a611b990 100644 (file)
@@ -3,7 +3,7 @@
     name: tsdr-csit-cassandra
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'tsdr'
index 4041decbb13072fce7ac424aca097af261943c58..7e8adb1206d7f72167e3ca02c634e3da0379aea0 100644 (file)
@@ -3,7 +3,7 @@
     name: tsdr-csit-elasticsearch
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'tsdr'
index d7fb207fbabfe1b33a80d6b3b430316bc9945121..52af004b0baa40f77cc1bff99e9679e90dfe206f 100644 (file)
@@ -3,7 +3,7 @@
     name: tsdr-csit-hbase
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'tsdr'
index c997550d6392aa8378b18d77a1503df727315c01..77132b846392bba990e70573a8bdc376b8d7d41f 100644 (file)
@@ -3,7 +3,7 @@
     name: tsdr-csit-hsqldb
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'tsdr'
index 4f43a183c69c81641f3f9ad13c13c9e6b1b1fef2..94ae2f04d6e1ac27a06e734bc0b3111efb6708b1 100644 (file)
@@ -3,7 +3,7 @@
     name: unimgr-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'unimgr'
index 98d214277489f02c796026815f2703e45d01cdf2..a44fc030de282802f47f725a802c9df9a7a323b7 100644 (file)
@@ -3,7 +3,7 @@
     name: unimgr-csit-legato
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'unimgr'
index b1a4980273e1f8048d1f13af29346bb91e5196f0..7fcd1f89838938cb4f2b641e6a1e5ec0e0bcaa05 100644 (file)
@@ -3,7 +3,7 @@
     name: usc-csit-channel
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'usc'
index 44a3c092c5bde0832a9efae835b74d792ca0251d..275ae8b71d2fab7541658dd0d3e569584e400be5 100644 (file)
@@ -3,7 +3,7 @@
     name: usc-csit-tcp
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'usc'
index 95dc05321efa36f41a6ab20c6d9f004d3509c5b0..5acb844e8e2c0a89e2f898c27b5dd82384559c1e 100644 (file)
@@ -3,7 +3,7 @@
     name: usecplugin-csit-basic
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'usecplugin'
index 30769a3dcc265cc741fde316a4a507a6ed111861..b5ec468ef80dddae8b8848ce3c5e4cf27bb98292 100644 (file)
@@ -3,7 +3,7 @@
     name: vtn-csit-vtn-coordinator
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'vtn'
index a19adf3dde7848a9563d49ff0342c2a8a1e87193..9bd1277e18d36364208bccaa7542acd06841c500 100644 (file)
@@ -3,7 +3,7 @@
     name: vtn-csit-manager
     jobs:
       - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
+      - inttest-csit-verify-1node
 
     # The project name
     project: 'vtn'
diff --git a/tox.ini b/tox.ini
index dc8e734f47bfac3651b4dfc69ace74a25bde7dc1..1429352c31009a9eaae7fb8f93b98685d19800db 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -25,6 +25,9 @@ commands = sphinx-build -b html -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs
 deps = flake8
 commands = flake8 scripts/
 
+[testenv:prefix]
+commands = ./check_prefix.sh
+
 [testenv:robot]
 commands = ./check_robot.sh